Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.database.oracle
Class Oracle9Platform

`java.lang.Object
oracle.toplink.internal.databaseaccess.OraclePlatform
oracle.toplink.platform.database.oracle.OraclePlatform
oracle.toplink.oraclespecific.Oracle8Platform
oracle.toplink.platform.database.oracle.Oracle8Platform
oracle.toplink.oraclespecific.Oracle9Platform
oracle.toplink.platform.database.oracle.Oracle9Platform`

Direct Known Subclasses:
  Oracle10Platform

public class Oracle9Platform
extends Oracle9Platform

Purpose: Supports usage of certain Oracle JDBC specific APIs.

Supports binding NCHAR, NVARCHAR, NCLOB types as required by Oracle JDBC drivers.

Supports Oracle JDBC TIMESTAMP, TIMESTAMPTZ, TIMESTAMPLTZ types.

See Also:
  Serialized Form

Field Summary
`static java.lang.Class` | `NCHAR`
`static java.lang.Class` | `NCLOB`
`static java.lang.Class` | `NSTRING`

Fields inherited from class oracle.toplink.oraclespecific.Oracle9Platform
`XMLTYPE`

Constructor Summary
`Oracle9Platform()`

Method Summary
`int` | `getLobValueLimits()` PUBLIC: Return the BLOB/CLOB value limits on thin driver.
`void` | `setLobValueLimits(int lobValueLimits)` PUBLIC: Set the BLOB/CLOB value limits on thin driver.
`void` | `setShouldUseLocatorForLOBWrite(boolean usesLocatorForLOBWrite)` PUBLIC: Set if the locator is required for the LOB write.
`boolean` | `shouldUseLocatorForLOBWrite()` PUBLIC: Return if the locator is required for the LOB write.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NCHAR

    public static final java.lang.Class NCHAR

### NSTRING

    public static final java.lang.Class NSTRING

### NCLOB

    public static final java.lang.Class NCLOB

Constructor Detail

### Oracle9Platform

    public Oracle9Platform()

Method Detail

### setShouldUseLocatorForLOBWrite

    public void setShouldUseLocatorForLOBWrite(boolean usesLocatorForLOBWrite)

  PUBLIC: Set if the locator is required for the LOB write. The default is true. For Oracle thin driver, the locator is recommended for large size ( >4k for Oracle8, >5.9K for Oracle9) BLOB/CLOB value write.
  Overrides:
    `setShouldUseLocatorForLOBWrite` in class `Oracle8Platform`

### shouldUseLocatorForLOBWrite

    public boolean shouldUseLocatorForLOBWrite()

  PUBLIC: Return if the locator is required for the LOB write. The default is true. For Oracle thin driver, the locator is recommended for large size ( >4k for Oracle8, >5.9K for Oracle9) BLOB/CLOB value write.
  Overrides:
    `shouldUseLocatorForLOBWrite` in class `Oracle8Platform`

### getLobValueLimits

    public int getLobValueLimits()

  PUBLIC: Return the BLOB/CLOB value limits on thin driver. The default value is 0. If usesLocatorForLOBWrite is true, locator will be used in case the lob's size is larger than lobValueLimit.
  Overrides:
    `getLobValueLimits` in class `Oracle8Platform`

### setLobValueLimits

    public void setLobValueLimits(int lobValueLimits)

  PUBLIC: Set the BLOB/CLOB value limits on thin driver. The default value is 0. If usesLocatorForLOBWrite is true, locator will be used in case the lob's size is larger than lobValueLimit.
  Overrides:
    `setLobValueLimits` in class `Oracle8Platform`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD